### Function

# GLib HashTable steal_all

since: 2.12

#### Declaration [src]

    void
    g_hash_table_steal_all (
      GHashTable* hash_table
    )

#### Description [src]

Removes all keys and their associated values from a `GHashTable` without calling the key and value destroy functions.

Available since: 2.12

#### Parameters

`hash_table`

  Type: `GHashTable`

  A `GHashTable`.

  The data is owned by the caller of the function.